// TXL utilities

void printTab (Table t) {
  Entry e

  print "(" (name t) ":\n"
  for e in t do
    print (key e) " : " (data e) "\n"
  print ")\n"
}

void printAll () {
  Table t
  for t in All do printTab t
}

void doDelete (Table t, string key) {
  int status = delete (t, key)

  if (status != StatusOK)
    warn "no record for " key " in " (name t)

}
