/*
  File Name  : htmlEdit.js

  Description: General functions for the DOORS "HTML edit" control.

  Licensed Materials - Property of IBM - some unique copyrights (i.e., the ability 
  to copy, modify, distribute) may be licensed in certain circumstances 
  (e.g., sample/template code intended to be used by customers to build upon and 
  distribute as their own products).

  DOORS - %full_filespec: htmlEdit.js~2:javascript:ERS#1 %  %date_created:  Fri Jul  6 11:54:42 2012 %

 (c) Copyright IBM Corporation 2012. All Rights Reserved.

  U.S. Government Users Restricted Rights: Use, duplication or disclosure restricted
  by GSA ADP Schedule Contract with IBM Corp.

*/

// Ensure the editor size keeps track with the window size.

window.onresize = function ()
{
    var editor = CKEDITOR.instances.editor1;
    if (editor && editor.container) // if no editor container, resize will fail
    {
        editor.resize(document.body.offsetWidth, document.body.offsetHeight);
    }
}

/* End */
