// tds/doors interface

#include <utils>

/*

  data

*/

Table doors = create "doorsTable"


/*

the following commands are sent by doors for execution by tds

*/


void associate(string s1, s2) {
  print "receiving key \"" s1 "\" with data \"" s2 "\"\n"
  doors[s1] = s2
  done
}

void delete(string s1) {
  int status = delete(doors,s1)

  print "deleting \"" s1 "\"\n"

  if (status != StatusOK)
    sendError "Heading \"" s1 "\" not in table"
  else
    done  // don't do "done" if we have an error
}

void list() {
  Entry e
  int i=0

  printTab doors

  for e in doors do {
    i++
    toDoors "fromTds(\"" (key e) "\", \"" (data e) "\")"
  }

  if (i==0) {

    sendError "no entries"

    return           // no done needed
  }
  done
}

/* server needs these two entrypoints */

void checkIPC(IPC ipc) {
  if (null ipc)
    unixerror "unexpected failure creating TDS server socket"
}

void closeDown() {
  print "server shutown\n"
}
